<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- texttemplate-module.qdoc -->
  <title>texttemplate QML Type | Qbs Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qbs Manual</a></td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right">Qbs 1.15.0</td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
<p class="naviNextPrevious headerNavi">
</p><p/>
<div class="sidebar">
<div class="toc">
<h3><a name="toc">Contents</a></h3>
<ul>
<li class="level1"><a href="#properties">Properties</a></li>
<li class="level1"><a href="#details">Detailed Description</a></li>
<li class="level2"><a href="#example">Example</a></li>
<li class="level2"><a href="#placeholder-syntax">Placeholder Syntax</a></li>
<li class="level2"><a href="#relevant-file-tags">Relevant File Tags</a></li>
</ul>
</div>
<div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">texttemplate QML Type</h1>
<span class="subtitle"></span>
<!-- $$$texttemplate-brief -->
<p>Provides support for text template files. <a href="#details">More...</a></p>
<!-- @@@texttemplate -->
<div class="table"><table class="alignedsummary">
<tr><td class="memItemLeft rightAlign topAlign"> Import Statement:</td><td class="memItemRight bottomAlign"> import QbsModules .</td></tr><tr><td class="memItemLeft rightAlign topAlign"> Since:</td><td class="memItemRight bottomAlign"> Qbs 1.13</td></tr></table></div><ul>
<li><a href="qml-qbsmodules-texttemplate-members.html">List of all members, including inherited members</a></li>
</ul>
<a name="properties"></a>
<h2 id="properties">Properties</h2>
<ul>
<li class="fn"><b><b><a href="qml-qbsmodules-texttemplate.html#dict-prop">dict</a></b></b> : var</li>
<li class="fn"><b><b><a href="qml-qbsmodules-texttemplate.html#outputFileName-prop">outputFileName</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-texttemplate.html#outputTag-prop">outputTag</a></b></b> : string</li>
</ul>
<!-- $$$texttemplate-description -->
<a name="details"></a>
<h2 id="details">Detailed Description</h2>
<p>The <code>texttemplate</code> module provides support for text template files.</p>
<a name="example"></a>
<h3 id="example">Example</h3>
<p>Consider the following text file <i>greeting.txt.in</i>.</p>
<pre class="cpp">

  ${greeting} ${name}<span class="operator">!</span>

</pre>
<p>This can be used in a project like this:</p>
<pre class="cpp">

  Product {
      type: <span class="operator">[</span><span class="string">&quot;text&quot;</span><span class="operator">]</span>
      files: <span class="operator">[</span><span class="string">&quot;greeting.txt.in&quot;</span><span class="operator">]</span>
      Depends { name: <span class="string">&quot;texttemplate&quot;</span> }
      texttemplate<span class="operator">.</span>dict: ({
              greeting: <span class="string">&quot;Hello&quot;</span><span class="operator">,</span>
              name: <span class="string">&quot;World&quot;</span>
          })
  }

</pre>
<p>Which will create the file <i>greeting.txt</i>.</p>
<pre class="cpp">

  Hello World<span class="operator">!</span>

</pre>
<a name="placeholder-syntax"></a>
<h3 id="placeholder-syntax">Placeholder Syntax</h3>
<p>A placeholder <code>${foo}</code> is replaced by its corresponding value in <i>texttemplate.dict</i>. Placeholder names consist of alphanumeric characters only.</p>
<p>The placeholder <code>${$}</code> is always replaced with <code>$</code>. If you need a literal <code>${foo}</code> in your template, use <code>${$}{foo}</code>.</p>
<p>Placeholders that are not defined in the dictionary will produce an error.</p>
<a name="relevant-file-tags"></a>
<h3 id="relevant-file-tags">Relevant File Tags</h3>
<a name="filetags-texttemplate"></a><div class="table"><table class="generic">
 <thead><tr class="qt-style"><th >Tag</th><th >Auto-tagged File Names</th><th >Since</th><th >Description</th></tr></thead>
<tr valign="top" class="odd"><td ><code>&quot;texttemplate.input&quot;</code></td><td ><code>*.in</code></td><td >1.13.0</td><td >Source files with this tag serve as inputs for the text template rule.</td></tr>
</table></div>
<!-- @@@texttemplate -->
<h2>Property Documentation</h2>
<!-- $$$dict -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="dict-prop">
<td class="tblQmlPropNode"><p>
<span class="name">dict</span> : <span class="type">var</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The dictionary containing values for all keys used in the template file.</p>
<p>Default: <code>{}</code></p>
</div></div><!-- @@@dict -->
<br/>
<!-- $$$outputFileName -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="outputFileName-prop">
<td class="tblQmlPropNode"><p>
<span class="name">outputFileName</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The output file name that is assigned to produced artifacts.</p>
<p>Default: Complete base name of the input file</p>
</div></div><!-- @@@outputFileName -->
<br/>
<!-- $$$outputTag -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="outputTag-prop">
<td class="tblQmlPropNode"><p>
<span class="name">outputTag</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The output tag that is assigned to produced artifacts.</p>
<p>Default: <code>&quot;text&quot;</code></p>
</div></div><!-- @@@outputTag -->
<br/>
<p class="naviNextPrevious footerNavi">
</p>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2020 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br/>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br/>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
